%global debug_package %{nil}

%global namedreltag %{nil}
%global namedversion %{version}%{?namedreltag}

Name:          native-platform
Version:       0.10
Release:       %mkrel 8
Group:         Development/Java
Summary:       Java bindings for various native APIs
License:       ASL 2.0
URL:           https://github.com/adammurdoch/native-platform
Source0:       https://github.com/adammurdoch/native-platform/archive/%{namedversion}.tar.gz
# From Debian
Source4:       %{name}-0.7-Makefile
# Try to load native library from /usr/lib*/native-platform
# instead of extractDir or classpath.
Patch0:        %{name}-0.10-NativeLibraryLocator.patch
# Use generate libraries without arch references
# Add support for arm and other x64 arches
Patch1:        %{name}-0.10-native-libraries-name.patch

# build tools and deps
BuildRequires: java-devel
BuildRequires: javapackages-local
BuildRequires: ncurses-devel
BuildRequires: jopt-simple

%description
A collection of cross-platform Java APIs
for various native APIs.

These APIs support Java 5 and later. Some
of these APIs overlap with APIs available
in later Java versions.

%package javadoc
Summary:       Javadoc for %{name}
BuildArch:     noarch

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
find .  -name "*.jar" -delete
find .  -name "*.class" -delete

%patch0 -p0
%patch1 -p0

cp -p %{SOURCE4} Makefile

chmod 644 readme.md
sed -i 's/\r//' readme.md

# TODO
mv src/curses/cpp/*.cpp src/main/cpp
mv src/shared/cpp/* src/main/cpp

%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
CPPFLAGS="${CPPFLAGS:-%optflags}" ; export CPPFLAGS ;
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ;
make %{?_smp_mflags} JAVA_HOME=%{_jvmdir}/java

%mvn_artifact net.rubygrapefruit:%{name}:%{version} build/%{name}.jar
%mvn_file : %{name}

%install
%mvn_install -J build/docs/javadoc
mkdir -p %{buildroot}%{_libdir}/%{name}
install -pm 0755 build/binaries/libnative-platform-curses.so %{buildroot}%{_libdir}/%{name}/
install -pm 0755 build/binaries/libnative-platform.so %{buildroot}%{_libdir}/%{name}/

%files -f .mfiles
%{_libdir}/%{name}
%doc readme.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 0.10-8.mga6
+ Revision: 977737
- First rebuild of the java stack
- sync package native-platform with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Jan 17 2015 daviddavid <daviddavid> 0.3-0.4.rc2.4.mga5
+ Revision: 811167
- use .mfiles generated during build
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 0.3-0.4.rc2.3.mga5
+ Revision: 744917
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3-0.4.rc2.2.mga5
+ Revision: 682800
- Mageia 5 Mass Rebuild

* Fri May 09 2014 dmorgan <dmorgan> 0.3-0.4.rc2.1.mga5
+ Revision: 621326
- imported package native-platform


* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.3-0.4.rc2
- Use Requires: java-headless rebuild (#1067528)

* Tue Oct 15 2013 gil cattaneo <puntogil@libero.it> 0.3-0.3.rc2
- fix for rhbz#992323
- use make as buildsystem to avoid circular dependencies
- removed arch references from installed native jar

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-0.3.rc2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 09 2013 gil cattaneo <puntogil@libero.it> 0.3-0.2.rc2
- removed unnecessary references to jpackage-utils and gcc-c++

* Tue Apr 30 2013 gil cattaneo <puntogil@libero.it> 0.3-0.1.rc2
- update to 0.3-rc-2

* Thu Dec 13 2012 gil cattaneo <puntogil@libero.it> 0.2-1
- initial rpm
